Package mpi

# Class MPIException

java.lang.Object
java.lang.Throwable
java.lang.Exception
mpi.MPIException

All Implemented Interfaces:
  `Serializable`

public final class MPIException extends Exception
Signals that an MPI error of some sort has occurred.

The Java binding of the MPI operation `MPI_Error_string` is the method `getMessage`, which is inherited from the class Exception.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MPIException(int code, int clazz, String message)`
``
`MPIException(String message)`
Creates an exception.
``
`MPIException(Throwable cause)`
Creates an exception:

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorClass()`
Gets the MPI error class.
`int`
`getErrorCode()`
Gets the MPI error code.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MPIException

protected MPIException(int code, int clazz, String message)

### MPIException

public MPIException(String message)
Creates an exception.

Parameters:
  `message` - message associated to the error

### MPIException

public MPIException(Throwable cause)
Creates an exception:

Parameters:
  `cause` - cause associated to the error

## Method Details

### getErrorCode

public int getErrorCode()
Gets the MPI error code.

Returns:
  error code

### getErrorClass

public int getErrorClass()
Gets the MPI error class.

Returns:
  error class